.a-select-picker {
    position: relative;
    height: 5rem;

    &[data-focus='true'] {
        .rs-dropdown {
            .rs-dropdown-toggle {
            border-color: #6868ac;
            }
        }
    }

    [class~="error"] {
        .rs-dropdown {
            .rs-dropdown-toggle {
            border-color: #dd3a09;
            }
        }
    }

    label {
        position: absolute;
        top: 50%;
        left: 0.5rem;
        z-index: 2;

        padding: 0 1.2rem;

        font-size: 1.3rem;
        font-weight: 500;

        transform: translateY(-50%);

        transition: all 0.25s;

        pointer-events: none;

        &.active {
            top: 1rem;
            left: 1.2rem;

            color: #6868ac;
            font-size: 1.2rem;
            font-weight: 600;
        }

        span {
            position: relative;
            z-index: 2;
        }
    }

    .a-select-picker__caret {
        position: absolute;
        top: 50%;
        right: 0.8rem;
        z-index: 3;

        width: 2.5rem;
        height: 2.5rem;

        object-fit: contain;
        object-position: center;

        transform: translateY(-50%);

        pointer-events: none;
    }

    .a-select-picker__dropdown {
        z-index: 1;
        width: 100%;

        &.focus {
            [class~="rs-dropdown-toggle"] {
                border-color: #6868ac;
            }
        }

        &.hidden {
            .rs-dropdown-menu {
                display: none;
            }
        }
        
        [class~="rs-dropdown-toggle"] {
            width: 100%;
            height: 100%;
            min-height: 5rem;
            padding-right: 3.2rem;
            padding-top: 2rem;
            overflow: hidden;

            background: #fff;
            border: 0.1rem solid #d5dee8;
            border-radius: 1.2rem;
            box-shadow: none;

            text-align: left;
            text-overflow: ellipsis;
            white-space: nowrap;

            transition: border 0.25s;

            .rs-dropdown-toggle-caret {
                display: none;
            }

            .rs-ripple-pond {
                display: none;
            }
            svg{
                top: 10px;
                right: 14px;
                height: 27px;
            }
            
        }

        [class~="rs-dropdown-menu"] {
            max-height: 20rem;

            overflow: auto;

            border-radius: 0.8rem;

            [class~="dropdown-menu-lg"] {
                min-width: 20rem;
            }

            [class~="dropdown-menu-xl"] {
                min-width: 30rem;
            }
        }

        [class~="rs-dropdown-item"] {
            color: #7b809a;
            font-size: 1.3rem;

            &.a-select-picker__dropdown-item {
                display: flex;
                align-items: center;

                .dropdown-item__checkbox {
                    margin: 0 1.2rem 0 0;

                    input[type='checkbox'] {
                        width: 1.8rem;
                    }
                }
            }

            &:hover {
                background: rgba($color: #6868ac, $alpha: 0.1);

                color: #7b809a;
            }
        }
    }
}
